#pragma once

#include <cstddef>

class List
{
public:
	enum class Type
	{
		UCHAR,
		UINT8,
		DOUBLE,
		COLOR,
		LIST,
		UNKNOWN
	};

	~List() = default;

	virtual Type getType() const = 0;

	virtual std::size_t getLength() const = 0;
};
